<?php

namespace SGalinski\SgMail\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use SGalinski\SgMail\Service\MailTemplateService;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

/**
 * Controller for the mail templating service module
 */
class MailController extends ActionController {

	/**
	 *
	 */
	public function indexAction() {
		$this->view->assign('templates', MailTemplateService::getRegisterArray());

		if ($this->request->hasArgument('key')) {
			$extensionKey = $this->request->getArgument('key');
		} else {
			reset(MailTemplateService::getRegisterArray());
			$extensionKey = key(MailTemplateService::getRegisterArray());
		}

		if (key_exists($extensionKey, MailTemplateService::getRegisterArray())) {
			$this->view->assign('selection', MailTemplateService::getRegisterArray()[$extensionKey]);
		}
	}

	/**
	 *
	 *
	 */
	public function showTemplateAction() {

	}

	/**
	 *
	 *
	 */
	public function showMarkerAction() {
	}

	/**
	 *
	 * @param array $marker
	 */
	public function saveMarkerAction(array $marker = []) {
	}

}
