<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

/** @noinspection PhpUndefinedVariableInspection */
$extPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('sg_mail');
$templateFiles = [
	$extPath . 'Resources/Private/Templates/some-email.html',
	$extPath . 'Resources/Private/Templates/de.some-email.html'
];

$marker = [
	'header_content' => [
		'content' => 'HEADING',
		'description' => 'This is the heading of the Email'
	],
	'main_content' => [
		'content' => 'Lorem Ipsum',
		'description' => 'The Content of the Mail'
	]
];

$description = 'This is just a Test Email';

\SGalinski\SgMail\Service\MailTemplateService::registerTemplate(
	'sg_mail', 'system test email', $templateFiles, $description, $marker
);

$templateFiles = [
	$extPath . 'Resources/Private/Templates/some-email.html',
	$extPath . 'Resources/Private/Templates/de.some-email.html'
];

$marker = [
	'header_content' => [
		'content' => 'HEADING',
		'description' => 'This is the heading of the Email'
	],
	'main_content' => [
		'content' => 'Lorem Ipsum',
		'description' => 'The Content of the Mail'
	]
];

$description = 'This is just a Test Email';

\SGalinski\SgMail\Service\MailTemplateService::registerTemplate(
	'sg_mail', 'test email2', $templateFiles, $description, $marker
);

if (TYPO3_MODE === 'BE') {
	$tsPath = $extPath . 'Configuration/TypoScript/';
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptSetup(file_get_contents($tsPath . 'setup.ts'));
}
